IntelliPhoto 0.5

Public Attributes | List of all members
LayerObject Struct Reference

The LayerObject struct holds all the information needed to construct a layer. More...

`#include <PaintingArea.h>`

Collaboration diagram for LayerObject:
[legend]

## Public Attributes
IntelliImage * | image
int | width
int | height
int | widthOffset
int | heightOffset
int | alpha =255

## Detailed Description

The LayerObject struct holds all the information needed to construct a layer.

Parameters

  width | - Stores the width of a layer in pixels
  height | - Stores the height of a layer in pixels
  alpha | - Stores the alpha value of the layer (default=255)
  widthOffset | - Stores the number of pixles from the left side of the painting area
  heightOffset | - Stores the number of pixles from the top of the painting area

Definition at line 24 of file PaintingArea.h.

## Member Data Documentation

## ◆ alpha

int LayerObject::alpha =255

Definition at line 30 of file PaintingArea.h.

## ◆ height

int LayerObject::height

Definition at line 27 of file PaintingArea.h.

## ◆ heightOffset

int LayerObject::heightOffset

Definition at line 29 of file PaintingArea.h.

## ◆ image

IntelliImage* LayerObject::image

Definition at line 25 of file PaintingArea.h.

## ◆ width

int LayerObject::width

Definition at line 26 of file PaintingArea.h.

## ◆ widthOffset

int LayerObject::widthOffset

Definition at line 28 of file PaintingArea.h.

The documentation for this struct was generated from the following file:

- intelliphoto/src/Layer/PaintingArea.h